# libcvrapi

-----------------------------------

A Java library to query <https://www.cvrapi.dk> (a Danish VAT API service). Work in progress.

## Usage

    CvrApi api = new CvrApi("My user agent", "mySecretToken");
    Company company = api.getCompanyByVatNumber("57020415");
    System.out.println(company.life.name);

The *Company* represents most of the same properties as seen in the example JSON in the [api documentation](http://docs.rest.cvrapi.dk/).

### Gradle

    repositories {
        maven { url 'https://dl.bintray.com/mnellemann/libs' }
    }

    dependencies {
        compile 'biz.nellemann.libs:libcvrapi:1.+'
    }

## Development

To build and test the code:

    ./gradle build
    ./gradle test
